Skip to content
Docs

List goals

GET
/api/workspaces/{ws}/goals

Of one position, of every position in a department, or all.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

Query Parameters

positionId?string
Lengthlength <= 100
departmentId?string
Lengthlength <= 100

Response Body

A list of goals.

Example Request
curl -X GET 'https://app.useroster.work/api/workspaces/string/goals'
Example Response
Empty